# KSPGetInitialGuessKnoll

Determines whether the KSP solver is using the Knoll trick (using PCApply(pc,b,...) to compute the initial guess

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPGetInitialGuessKnoll(KSP ksp,PetscTruth *flag)

Not Collective

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameter

flag -PETSC_TRUE if using Knoll trick, else PETSC_FALSE

### Keywords

KSP, set, initial guess, nonzero

### See Also

KSPSetInitialGuessKnoll(), KSPSetInitialGuessNonzero(), KSPGetInitialGuessNonzero()

Level:advanced
Location: src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages